GNU bug report logs - #60646
28.2; delete-selection-mode

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: "Redekopp, Eric" <err291@HIDDEN>; dated Sun, 8 Jan 2023 07:06:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 60646 <at> debbugs.gnu.org:


Received: (at 60646) by debbugs.gnu.org; 15 Jan 2023 09:26:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 15 04:26:04 2023
Received: from localhost ([127.0.0.1]:56110 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pGzHA-0003a5-4A
	for submit <at> debbugs.gnu.org; Sun, 15 Jan 2023 04:26:04 -0500
Received: from mail-pf1-f193.google.com ([209.85.210.193]:44900)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <visuweshm@HIDDEN>) id 1pGzH8-0003Zc-Ps
 for 60646 <at> debbugs.gnu.org; Sun, 15 Jan 2023 04:26:03 -0500
Received: by mail-pf1-f193.google.com with SMTP id w2so3604138pfc.11
 for <60646 <at> debbugs.gnu.org>; Sun, 15 Jan 2023 01:26:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=gPrxeOXWiXnAStc7oBo4zRCVts069jPmmufJES0eEIg=;
 b=U4HKT2ghW79L/uOEeakhggwcaEg/fLqhE6tOfnTcTUTXNayGkWuUgqoGBfJo0vzFct
 kAXhP6tAb76qkBt8LxY+xbAC+7SbZc8ZxssXlasOs7xGA853BzLf3wxbhex25FXBguWI
 0Ee2PZId/1yTlQJNA96GRTMippyDRoFqCavXG76yzU9DIll+GUxmE4CdkHjcwuZb8o49
 +GB74eDtibXQRGtmVeShXvCzrKa/4U9xAy5tuYz/vA/KFjzWIuZwt0PQQj8ISqdFIPPT
 DeKE5VeP9RSgwdVLwtRqKPxGlC7XbVSx+1R3rm+TPHm2aE59jktLkX0bcvNm2AHhlE4O
 pnjA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc:subject:date:message-id:reply-to;
 bh=gPrxeOXWiXnAStc7oBo4zRCVts069jPmmufJES0eEIg=;
 b=LdS5jZQF7qHAJeLTtzgVrfrXpv+0puQkiNRc/rtzT3oLIPDzpqCxhO6MsZl68d0ehh
 d2sNDJtq92aOScno7mIvOWUX4Z2n2CWPoR3W0/now5lBt3GB5Ib6CJsHGLfX7Hapx87c
 SUhrT920BpTeFpCbQSxJhYHfPbSqt/aUbhJEKcnZajcviZZdjV8GHcThkYUkP0sSisp5
 wZ+npN6u4S4Ynt4a6i8QgeTsFVF0Y2deTNS8wrmkA8BXwURQvN3G8+/n1h3+Wjzp+QSj
 dgjWU2bKArjxnw8yGBoyUiYAMi5DYxxdlnILzvFSOJP1IVapBiTNYFnnVwBInIa6Exml
 1ctA==
X-Gm-Message-State: AFqh2kryClVqhlKjORmCqMpoNRIN+bMVykrYHLdIruXWBrOsD75nUqth
 IvWga1UDc2LDZPnlkcn+jIAZSY5TT5c=
X-Google-Smtp-Source: AMrXdXu+yNvqksYRJ08EcRvVtdrQKRiuJQkWwUkPn1yNRmFkYa+EnJCVLgbRRXef2Tf3XUiUtvf03g==
X-Received: by 2002:a05:6a00:e8f:b0:58b:bf9a:fa81 with SMTP id
 bo15-20020a056a000e8f00b0058bbf9afa81mr6755984pfb.4.1673774757081; 
 Sun, 15 Jan 2023 01:25:57 -0800 (PST)
Received: from localhost ([118.185.152.162]) by smtp.gmail.com with ESMTPSA id
 w29-20020aa7955d000000b0058d926cef4csm1101642pfq.7.2023.01.15.01.25.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 15 Jan 2023 01:25:56 -0800 (PST)
From: Visuwesh <visuweshm@HIDDEN>
To: =?utf-8?Q?K=C3=A9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
Subject: Re: bug#60646: 28.2; delete-selection-mode
In-Reply-To: <87sfgd8hb6.fsf@HIDDEN> (=?utf-8?Q?=22K=C3=A9vin?= Le
 Gouguec"'s message of "Sat, 14 Jan 2023 12:51:57 +0100")
References: <YQXPR01MB4085114C99922D786AA09F68D1F99@HIDDEN>
 <SJ0PR10MB548840E8AB8AD4DCCABF3B7AF3F99@HIDDEN>
 <878ri5dihq.fsf@HIDDEN> <87sfgd8hb6.fsf@HIDDEN>
Date: Sun, 15 Jan 2023 14:55:39 +0530
Message-ID: <871qnwp2ss.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 3.6 (+++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  [சனி ஜனவரி 14, 2023] Kévin Le Gouguec wrote:
    > > The _only_ problem I personally have with delete-selection-mode is >
   > that it also replaces the region created by the likes of "C-x C-x", > >
   something that "most software out there" does not and [...] 
 
 Content analysis details:   (3.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (visuweshm[at]gmail.com)
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [118.185.152.162 listed in zen.spamhaus.org]
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.210.193 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.210.193 listed in list.dnswl.org]
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 60646
Cc: luangruo@HIDDEN, err291@HIDDEN, 60646 <at> debbugs.gnu.org,
 drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 2.6 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  [சனி ஜனவரி 14, 2023] Kévin Le Gouguec wrote:
    > > The _only_ problem I personally have with delete-selection-mode is >
   > that it also replaces the region created by the likes of "C-x C-x", > >
   something that "most software out there" does not and [...] 
 
 Content analysis details:   (2.6 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
                             [209.85.210.193 listed in wl.mailspike.net]
  3.6 RCVD_IN_SBL_CSS        RBL: Received via a relay in Spamhaus SBL-CSS
                             [118.185.152.162 listed in zen.spamhaus.org]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [209.85.210.193 listed in list.dnswl.org]
  0.0 FREEMAIL_FROM          Sender email is commonly abused enduser mail
                             provider (visuweshm[at]gmail.com)
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 -0.0 SPF_PASS               SPF: sender matches SPF record
  0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
 -1.0 MAILING_LIST_MULTI     Multiple indicators imply a widely-seen list
                             manager

[=E0=AE=9A=E0=AE=A9=E0=AE=BF =E0=AE=9C=E0=AE=A9=E0=AE=B5=E0=AE=B0=E0=AE=BF =
14, 2023] K=C3=A9vin Le Gouguec wrote:

>  > The _only_ problem I personally have with delete-selection-mode is
>  > that it also replaces the region created by the likes of "C-x C-x",
>  > something that "most software out there" does not and cannot do.  If
>  > we were to change delete-selection-mode to replace only highlighted
>  > text created by mouse selections or by shift-selections, I think we
>  > could then enable it by default without much resistance, because
>  > typing a character or DEL after explicitly selecting text is many
>  > orders of magnitude less probable to be a mistake than when we make
>  > the region active by other means.
>  =E2=80=94 <83o9d5q1bi.fsf@HIDDEN>
>
>  Enlightening; I personally C-x C-x C-g without a second thought when
>  all I want is to "jump to mark" (or I use C-u C-SPC).  I use C-x C-x
>  mostly for its region-activating effect (typically after C-y), rather
>  than for its point-mark-swap effect, and I expect delete-selection-mode
>  to clobber stuff I highlight with region-activating commands (C-M-SPC,
>  C-x h, C-M-h, M-h, C-SPC + [move around]).
>
>  But I understand how adding an option to control that would make sense)

I had the same problem with delete-selection-mode: mark and region is
different from how "selection" works in other editors so deleting the
active region in all cases was more disruptive than I anticipated.
I hope delete-selection-temporary-region solves this problem for
everyone like it did for me when I proposed the patch.=20




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60646; Package emacs. Full text available.

Message received at 60646 <at> debbugs.gnu.org:


Received: (at 60646) by debbugs.gnu.org; 14 Jan 2023 12:34:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 14 07:34:29 2023
Received: from localhost ([127.0.0.1]:53599 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pGfjx-0004UZ-52
	for submit <at> debbugs.gnu.org; Sat, 14 Jan 2023 07:34:29 -0500
Received: from eggs.gnu.org ([209.51.188.92]:48238)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1pGfjs-0004UJ-MH
 for 60646 <at> debbugs.gnu.org; Sat, 14 Jan 2023 07:34:27 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pGfjm-0002J8-SH; Sat, 14 Jan 2023 07:34:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=Morkw7/jU+AjHVsTd+1aXS9dXpISn8Lxo4prZjNXeec=; b=oYs3fcPXRUzag7BU72nZ
 qaZvAJ4H0Fq/h/ApcGfY4c5vKeLSx4gHIvRkkczr2mQXDmMxn5rfeMunETx3Ozy1tsxeRqaoJhc0R
 cZ4ljGE9KssXa9S/nljNcNKENN7a8dmUzTVwCKwBw0DG1cnztJcKLDkwZSSt/JnYyWirGwhm5Aayf
 vKeuCbOsnrDri/EDIvsuCPp9OVO+jV3UTdqpWMArzpiOlgXaRNvlUdcA4fisnYguLv5fqYH84MlgX
 Dc99p7WpNUQIcQGbJ2nlKOGaq6BsIHHOZA/hKUEpgDB/ABC9SZtFblotWyjaQIPbEjjzAjaYVFCFg
 y6hY+QjJ3RndWA==;
Received: from [87.69.77.57] (helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1pGfjm-0001yQ-Ba; Sat, 14 Jan 2023 07:34:18 -0500
Date: Sat, 14 Jan 2023 14:34:19 +0200
Message-Id: <83sfgd70s4.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: =?utf-8?Q?K=C3=A9vin?= Le Gouguec <kevin.legouguec@HIDDEN>
In-Reply-To: <87sfgd8hb6.fsf@HIDDEN> (message from =?utf-8?Q?K=C3=A9vin?=
 Le Gouguec on Sat, 14 Jan 2023 12:51:57 +0100)
Subject: Re: bug#60646: 28.2; delete-selection-mode
References: <YQXPR01MB4085114C99922D786AA09F68D1F99@HIDDEN>
 <SJ0PR10MB548840E8AB8AD4DCCABF3B7AF3F99@HIDDEN>
 <878ri5dihq.fsf@HIDDEN> <87sfgd8hb6.fsf@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 60646
Cc: luangruo@HIDDEN, err291@HIDDEN, 60646 <at> debbugs.gnu.org,
 drew.adams@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Cc: luangruo@HIDDEN, err291@HIDDEN, drew.adams@HIDDEN
> From: Kévin Le Gouguec <kevin.legouguec@HIDDEN>
> Date: Sat, 14 Jan 2023 12:51:57 +0100
> 
> >> +1.  I've advocated the same for decades.
> >>
> >> This should have happened when we turned on
> >> `transient-mark-mode' by default.  And both
> >> of those default-behavior changes should
> >> really have happened long before that.
> >
> > I disagree, but we've had this argument before, so please just leave
> > things as they are.
> >
> > Thanks.
> 
> Did we ever go through the length of making the sort of poll we had for
> show-paren-mode?

I think this was discussed in the past, yes.

delete-selection-mode is problematic in that it introduces behavior
that is extremely surprising and annoying to those who are used to the
old-style GUI selections and the Emacs region.  Thus, enabling it by
default is out of the question; we've enabled transient-mark-mode as a
partial nod to those who like the delete-selection-mode style of
replacing text, but other than that, people who want that will have to
enable it manually for the observable future, because we cannot
possibly surprise our veteran users with such behavior.

>  Oh hey, well, (b) might not be off the table after all:
> 
>  > The _only_ problem I personally have with delete-selection-mode is
>  > that it also replaces the region created by the likes of "C-x C-x",
>  > something that "most software out there" does not and cannot do.  If
>  > we were to change delete-selection-mode to replace only highlighted
>  > text created by mouse selections or by shift-selections, I think we
>  > could then enable it by default without much resistance, because
>  > typing a character or DEL after explicitly selecting text is many
>  > orders of magnitude less probable to be a mistake than when we make
>  > the region active by other means.
>  — <83o9d5q1bi.fsf@HIDDEN>

Note that the DEL part of the above already happens by default.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60646; Package emacs. Full text available.

Message received at 60646 <at> debbugs.gnu.org:


Received: (at 60646) by debbugs.gnu.org; 14 Jan 2023 11:52:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 14 06:52:09 2023
Received: from localhost ([127.0.0.1]:53571 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pGf4y-00016h-FT
	for submit <at> debbugs.gnu.org; Sat, 14 Jan 2023 06:52:08 -0500
Received: from mail-wm1-f43.google.com ([209.85.128.43]:46640)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1pGf4v-000163-GQ
 for 60646 <at> debbugs.gnu.org; Sat, 14 Jan 2023 06:52:06 -0500
Received: by mail-wm1-f43.google.com with SMTP id
 m26-20020a05600c3b1a00b003d9811fcaafso18970908wms.5
 for <60646 <at> debbugs.gnu.org>; Sat, 14 Jan 2023 03:52:05 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=1LcOjfeg4E7CJ3SgbMFTHv54xX1XUSq3VzfhHb5B5ik=;
 b=cxgpu//vItbWHDM8QApEMN4tPVzV7BQVEim0XEuooPyKw6awDZYIz2QXustYdvxcn5
 mfwsyqHzPsyWoioYCOk+3wYGUlUrcNr9t/sVuPQBq3qYWiM/Wlfazlu8yv4RQyBJWSEL
 ZvNzjKxjrnsByxGT3dASWLH2bu+NZTy+zAgzPwoanQMuRJh7wLWMDI6oMvFZomXqtkvp
 NRs7iU/ZSFYxSM+WtdHVDlnexXUL7j4qyN2xFS85ktXF+upTiBva5xubWtB/wzuJeit3
 jX+PmL60rOn12UcsszYG47E58YcVKGyTlIw1CrReuoA9PhrheHnpKU9ishnBlw6NbZ9D
 MgcA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc:subject:date:message-id:reply-to;
 bh=1LcOjfeg4E7CJ3SgbMFTHv54xX1XUSq3VzfhHb5B5ik=;
 b=X2BMNHVMao2ftPy4N9hHxdaRjQaV/excxgqsCNSOp1rdiN5FcJSVXbZ+LqzzXGRis9
 NIPSdP+yilNyXaJDcxglaRz9KKurtFad7WH/BfIEWNKvAuVIivaDRY9Jj7IPpRJ+4wEE
 rCCA1g4TC7ax8Zu9uyruO9fgQ4uBEKx8leWviv2fcH9EfuF18X9WlkhKobVJ4y1mha4H
 36UJpz1xiKXSp1IOAgTQnQFcMp4T7tI9MS+R7AriGb4gkzEOMz4acwH62ZrS+PRAOBJT
 iykzrzaM16UEgfgWqVoUxITFTLK6LmX5f+PSWyoZ+bcNWeyqK5efdxP3VTdBGibCDKMn
 +TUw==
X-Gm-Message-State: AFqh2koOYZmowiRouM590nIpbNfaG+M7vSEcoFTLgP2Kv2EmlFkgimVl
 z+bX/bo1f2jz57yNIxucpvDDZCnH5gE=
X-Google-Smtp-Source: AMrXdXuSAfUnyqqQwNXIFj+AqatF2MVBsuwvif9gLZQBztvRz15OqGP7EVta2+oQOT54Q7HaUYx9UA==
X-Received: by 2002:a05:600c:3b9b:b0:3da:23f8:f028 with SMTP id
 n27-20020a05600c3b9b00b003da23f8f028mr4858995wms.21.1673697119143; 
 Sat, 14 Jan 2023 03:51:59 -0800 (PST)
Received: from amdahl30 ([2a01:e0a:253:fe0:2ef0:5dff:fed2:7b49])
 by smtp.gmail.com with ESMTPSA id
 h15-20020a05600c314f00b003d99469ece1sm34548374wmo.24.2023.01.14.03.51.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 Jan 2023 03:51:58 -0800 (PST)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#60646: 28.2; delete-selection-mode
In-Reply-To: <878ri5dihq.fsf@HIDDEN> (Po Lu via's message of "Sat, 14 Jan
 2023 09:15:13 +0800")
References: <YQXPR01MB4085114C99922D786AA09F68D1F99@HIDDEN>
 <SJ0PR10MB548840E8AB8AD4DCCABF3B7AF3F99@HIDDEN>
 <878ri5dihq.fsf@HIDDEN>
Date: Sat, 14 Jan 2023 12:51:57 +0100
Message-ID: <87sfgd8hb6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60646
Cc: Po Lu <luangruo@HIDDEN>, "Redekopp, Eric" <err291@HIDDEN>,
 "60646 <at> debbugs.gnu.org" <60646 <at> debbugs.gnu.org>,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:

> Drew Adams <drew.adams@HIDDEN> writes:
>
>>> I would like to express my strong support
>>> for enabling delete-selection-mode by default.
>>> This is standard for almost all other text
>>> applications and feels unintuitive not to have it.
>>
>> +1.  I've advocated the same for decades.
>>
>> This should have happened when we turned on
>> `transient-mark-mode' by default.  And both
>> of those default-behavior changes should
>> really have happened long before that.
>
> I disagree, but we've had this argument before, so please just leave
> things as they are.
>
> Thanks.

Did we ever go through the length of making the sort of poll we had for
show-paren-mode?  I.e.

* deciding to poll users on emacs-devel,
  <E1mN4xu-0004y3-63@HIDDEN>

* announcing on info-gnu-emacs,
  <62f50784-593d-b302-b8b6-6d614ec37737@HIDDEN>

* collecting feedback on gnu-emacs-help,
  <9bc33df8-5c1b-cd82-f72e-6fc939990f37@HIDDEN>

* debriefing on emacs-devel.
  <2aed65dd-bcec-8e0e-e48b-7664a041f98b@HIDDEN>

Asking because

a) delete-selection-mode sounds (IMO) like one of these options that
meet the sweet (sour?) spot between triggering strong opinions ("Thou
Shalt Not Change Long=C5=BFtanding Defaults", "But All Other Editors Do It",
"It Is Surprising And Destructive", "It Is Natural And Convenient"),
while being trivial to change in one's config either way,

b) For all the hassle it might have been, the poll and discussion around
it led to improvements to show-paren-mode, i.e. further fine-tuning of
the defaults.


I struggle to imagine how (b) could apply to delete-selection-mode, but
then again my imagination is very limited.  OTOH (a) might provide
enough justification for a poll, especially when coupled with the
recurring traffic that delete-selection-mode generates.

(Thinking of e.g. these emacs-devel megathreads:
 * <CAM-tV-8HZKJ9WKHXR0h8FC_Qv8YhjdAPYikcviD2HAUo6Msg4g@HIDDEN>
   (2018)
 * <20100318185435.GB1522@HIDDEN>
   (2010)

 Oh hey, well, (b) might not be off the table after all:

 > The _only_ problem I personally have with delete-selection-mode is
 > that it also replaces the region created by the likes of "C-x C-x",
 > something that "most software out there" does not and cannot do.  If
 > we were to change delete-selection-mode to replace only highlighted
 > text created by mouse selections or by shift-selections, I think we
 > could then enable it by default without much resistance, because
 > typing a character or DEL after explicitly selecting text is many
 > orders of magnitude less probable to be a mistake than when we make
 > the region active by other means.
 =E2=80=94 <83o9d5q1bi.fsf@HIDDEN>

 Enlightening; I personally C-x C-x C-g without a second thought when
 all I want is to "jump to mark" (or I use C-u C-SPC).  I use C-x C-x
 mostly for its region-activating effect (typically after C-y), rather
 than for its point-mark-swap effect, and I expect delete-selection-mode
 to clobber stuff I highlight with region-activating commands (C-M-SPC,
 C-x h, C-M-h, M-h, C-SPC + [move around]).

 But I understand how adding an option to control that would make sense)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60646; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 14 Jan 2023 11:52:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 14 06:52:09 2023
Received: from localhost ([127.0.0.1]:53573 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pGf4y-00016j-VV
	for submit <at> debbugs.gnu.org; Sat, 14 Jan 2023 06:52:09 -0500
Received: from lists.gnu.org ([209.51.188.17]:40128)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kevin.legouguec@HIDDEN>) id 1pGf4w-00016U-4D
 for submit <at> debbugs.gnu.org; Sat, 14 Jan 2023 06:52:06 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <kevin.legouguec@HIDDEN>)
 id 1pGf4t-0006Oh-5f
 for bug-gnu-emacs@HIDDEN; Sat, 14 Jan 2023 06:52:05 -0500
Received: from mail-wm1-x332.google.com ([2a00:1450:4864:20::332])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <kevin.legouguec@HIDDEN>)
 id 1pGf4r-0001lY-8N
 for bug-gnu-emacs@HIDDEN; Sat, 14 Jan 2023 06:52:02 -0500
Received: by mail-wm1-x332.google.com with SMTP id
 k22-20020a05600c1c9600b003d1ee3a6289so18974560wms.2
 for <bug-gnu-emacs@HIDDEN>; Sat, 14 Jan 2023 03:52:00 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=1LcOjfeg4E7CJ3SgbMFTHv54xX1XUSq3VzfhHb5B5ik=;
 b=cxgpu//vItbWHDM8QApEMN4tPVzV7BQVEim0XEuooPyKw6awDZYIz2QXustYdvxcn5
 mfwsyqHzPsyWoioYCOk+3wYGUlUrcNr9t/sVuPQBq3qYWiM/Wlfazlu8yv4RQyBJWSEL
 ZvNzjKxjrnsByxGT3dASWLH2bu+NZTy+zAgzPwoanQMuRJh7wLWMDI6oMvFZomXqtkvp
 NRs7iU/ZSFYxSM+WtdHVDlnexXUL7j4qyN2xFS85ktXF+upTiBva5xubWtB/wzuJeit3
 jX+PmL60rOn12UcsszYG47E58YcVKGyTlIw1CrReuoA9PhrheHnpKU9ishnBlw6NbZ9D
 MgcA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:user-agent:message-id:date
 :references:in-reply-to:subject:cc:to:from:x-gm-message-state:from
 :to:cc:subject:date:message-id:reply-to;
 bh=1LcOjfeg4E7CJ3SgbMFTHv54xX1XUSq3VzfhHb5B5ik=;
 b=qTqXhPSXFUHDYAyEfrK6J4VBwFsga8Fxjz5zkwFCcwhm5SyNTH8Fgq+EmuHXaxjO1P
 OcqqswMWrZFTrkHcNiciuTPDOqb5siV+KKwr4TkYYn+soZWBvO8SbXD1qkSatkMdZYWF
 B9Ut1Rdkj3/4EtEUYH0ajXqQvfXQDoEnqKo3DiqvHY4QfMujLyJEc9BwWvLBLCREcupp
 sVMkVtsWQGSu7h6Zj+oKvQJmKIsb5azELHXmqqWn26fosZaOWA4jeRHRb1acwacT8RNF
 oTfy3P1gIYt3+GLOdNCqxcCN7bgvAX5o4qoW72/fy7aHVNXZPcE1Yw8DE2lanaAxpQqe
 hFAA==
X-Gm-Message-State: AFqh2kpG9h0QFOh+39k0h6RQ2mF+0kWPE7f1NaOQD9x85lZJ8D2uhAk8
 eZHCaKgg1PQk1ryEosRep0M=
X-Google-Smtp-Source: AMrXdXuSAfUnyqqQwNXIFj+AqatF2MVBsuwvif9gLZQBztvRz15OqGP7EVta2+oQOT54Q7HaUYx9UA==
X-Received: by 2002:a05:600c:3b9b:b0:3da:23f8:f028 with SMTP id
 n27-20020a05600c3b9b00b003da23f8f028mr4858995wms.21.1673697119143; 
 Sat, 14 Jan 2023 03:51:59 -0800 (PST)
Received: from amdahl30 ([2a01:e0a:253:fe0:2ef0:5dff:fed2:7b49])
 by smtp.gmail.com with ESMTPSA id
 h15-20020a05600c314f00b003d99469ece1sm34548374wmo.24.2023.01.14.03.51.58
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 14 Jan 2023 03:51:58 -0800 (PST)
From: =?utf-8?Q?K=C3=A9vin_Le_Gouguec?= <kevin.legouguec@HIDDEN>
To: Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
 editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#60646: 28.2; delete-selection-mode
In-Reply-To: <878ri5dihq.fsf@HIDDEN> (Po Lu via's message of "Sat, 14 Jan
 2023 09:15:13 +0800")
References: <YQXPR01MB4085114C99922D786AA09F68D1F99@HIDDEN>
 <SJ0PR10MB548840E8AB8AD4DCCABF3B7AF3F99@HIDDEN>
 <878ri5dihq.fsf@HIDDEN>
Date: Sat, 14 Jan 2023 12:51:57 +0100
Message-ID: <87sfgd8hb6.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=2a00:1450:4864:20::332;
 envelope-from=kevin.legouguec@HIDDEN; helo=mail-wm1-x332.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Po Lu <luangruo@HIDDEN>, "Redekopp, Eric" <err291@HIDDEN>,
 "60646 <at> debbugs.gnu.org" <60646 <at> debbugs.gnu.org>,
 Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Po Lu via "Bug reports for GNU Emacs, the Swiss army knife of text
editors" <bug-gnu-emacs@HIDDEN> writes:

> Drew Adams <drew.adams@HIDDEN> writes:
>
>>> I would like to express my strong support
>>> for enabling delete-selection-mode by default.
>>> This is standard for almost all other text
>>> applications and feels unintuitive not to have it.
>>
>> +1.  I've advocated the same for decades.
>>
>> This should have happened when we turned on
>> `transient-mark-mode' by default.  And both
>> of those default-behavior changes should
>> really have happened long before that.
>
> I disagree, but we've had this argument before, so please just leave
> things as they are.
>
> Thanks.

Did we ever go through the length of making the sort of poll we had for
show-paren-mode?  I.e.

* deciding to poll users on emacs-devel,
  <E1mN4xu-0004y3-63@HIDDEN>

* announcing on info-gnu-emacs,
  <62f50784-593d-b302-b8b6-6d614ec37737@HIDDEN>

* collecting feedback on gnu-emacs-help,
  <9bc33df8-5c1b-cd82-f72e-6fc939990f37@HIDDEN>

* debriefing on emacs-devel.
  <2aed65dd-bcec-8e0e-e48b-7664a041f98b@HIDDEN>

Asking because

a) delete-selection-mode sounds (IMO) like one of these options that
meet the sweet (sour?) spot between triggering strong opinions ("Thou
Shalt Not Change Long=C5=BFtanding Defaults", "But All Other Editors Do It",
"It Is Surprising And Destructive", "It Is Natural And Convenient"),
while being trivial to change in one's config either way,

b) For all the hassle it might have been, the poll and discussion around
it led to improvements to show-paren-mode, i.e. further fine-tuning of
the defaults.


I struggle to imagine how (b) could apply to delete-selection-mode, but
then again my imagination is very limited.  OTOH (a) might provide
enough justification for a poll, especially when coupled with the
recurring traffic that delete-selection-mode generates.

(Thinking of e.g. these emacs-devel megathreads:
 * <CAM-tV-8HZKJ9WKHXR0h8FC_Qv8YhjdAPYikcviD2HAUo6Msg4g@HIDDEN>
   (2018)
 * <20100318185435.GB1522@HIDDEN>
   (2010)

 Oh hey, well, (b) might not be off the table after all:

 > The _only_ problem I personally have with delete-selection-mode is
 > that it also replaces the region created by the likes of "C-x C-x",
 > something that "most software out there" does not and cannot do.  If
 > we were to change delete-selection-mode to replace only highlighted
 > text created by mouse selections or by shift-selections, I think we
 > could then enable it by default without much resistance, because
 > typing a character or DEL after explicitly selecting text is many
 > orders of magnitude less probable to be a mistake than when we make
 > the region active by other means.
 =E2=80=94 <83o9d5q1bi.fsf@HIDDEN>

 Enlightening; I personally C-x C-x C-g without a second thought when
 all I want is to "jump to mark" (or I use C-u C-SPC).  I use C-x C-x
 mostly for its region-activating effect (typically after C-y), rather
 than for its point-mark-swap effect, and I expect delete-selection-mode
 to clobber stuff I highlight with region-activating commands (C-M-SPC,
 C-x h, C-M-h, M-h, C-SPC + [move around]).

 But I understand how adding an option to control that would make sense)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60646; Package emacs. Full text available.

Message received at 60646 <at> debbugs.gnu.org:


Received: (at 60646) by debbugs.gnu.org; 14 Jan 2023 01:15:31 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 13 20:15:31 2023
Received: from localhost ([127.0.0.1]:52811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pGV8t-0005O0-Gl
	for submit <at> debbugs.gnu.org; Fri, 13 Jan 2023 20:15:31 -0500
Received: from sonic312-25.consmr.mail.ne1.yahoo.com ([66.163.191.206]:39448)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <luangruo@HIDDEN>) id 1pGV8r-0005Nh-Hd
 for 60646 <at> debbugs.gnu.org; Fri, 13 Jan 2023 20:15:30 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1673658922; bh=8J+CZvcH2OfBm0v7xaGlgsED5XzYN8SYJBDIZsp74ek=;
 h=From:To:Cc:Subject:In-Reply-To:References:Date:From:Subject:Reply-To;
 b=hRCKNoUdKwX9F50jKbyMJNn+1g6Hf1w5fRCySiNrmeLu85hdLPtFYCPogW9Xg7ODel+IC6RUMChT/Zo12mxz0/C5bFTn867xFvFp6PSIojPLgfWOg5Wt/ZaONlV3uBXmwQi7ItGm3ibeHQnETZ3QPdbkMcOsdLBa/KC1km5OXrHNm0gq/d7lguJo1CZYnBF4BnIit5e5DtZUxqGrrTHeezg/lI4S+zuB9yYIYiIK2oGZCbJjZ8nirN/ZL3KbzBcoP9LRC2WjtU+EDvRqlfZVbyhSWYcBwgFB+H7GvKAGHjI4KlqiF1MyCMZA0XWWZ1sR0FVQf4KHhlroQusGCR36JA==
X-SONIC-DKIM-SIGN: v=1; a=rsa-sha256; c=relaxed/relaxed; d=yahoo.com; s=s2048;
 t=1673658922; bh=u51nI9p9D6UakLi166cHMYRR5+edWp2uJQ88i64++Dj=;
 h=X-Sonic-MF:From:To:Subject:Date:From:Subject;
 b=IXcjKYooz/JYTYj4VmvdJg6dlHH/y8TOf7v1hYk8WH9NuFOtZSzbgtUuRFMhvf8sLOBzNRr1OT8j+dLJLc2bltHhGe3Z3uDO4KhJjh/8pDOY4A557L6xmtseS0Y9N2+z+FbrjB7rTAzW07NqZY+9diocW/475FPCMTMt8qWpolSj/GorAGxA8QX1hgCIgZYphYMdDvESD4bmBPYQs9uddN3NTx434E7+r0Qefxfr3Y6f5OtoeAs2HZT99Z5UP9uOTXmFNyDL5Jz6nb4pq1HIkmolvwo781I025J27crnNHZa/vO2wnIdw6Vvr0stSpj1R8jAkG+1yWFH23BRpNCaOw==
X-YMail-OSG: zeNcrtcVM1mdf0TshzQlVbAbSPr2VylloPWkPmcZwcS.WOvGyMML02KetzVJZJX
 6vUMSH8nqNVH4uhkR3q1h8bXAnZzoS62k35vfqsJ32G.c9kNAsMVSHgbFb_MHaAW.0j_RSYfhMHq
 KMvHv884mvEP4R9ufOqYSRI92QsI7N56Gi75Jr.q9JMmb5ZevH8LZPmQG3jBUY0ABrfBBHXVhKO.
 sM3JxGDETErgUHESlYaZbHZovZ7xvPR7mzi68Souy4Nm57AGTaCZdFg7V3vx5YwoQ4ZVupu6iT3M
 n6N8XoX2aAaZGgP0X0CwzfbOc6ERzVK2a8TMHJHLC6pEevLz3fEr4M9uWDpD_fAiGS.XDLoSr1zv
 w.mkX6uAe89hqrF5Q6u5Xf5vO1IogWNjAPrQleLrKgOe5Gcye54.XqutyW6p2WCD63krnqxmAWPA
 CfVjvxVfjKuFvX_Mv0Y7aIYixrVxSdgx11CrNaE9bkVBbtSoyDCR0Y44IImwaig4tLcgXSXHK.qz
 sV4jmMWeHUdA71zxycPnTrPftjNMhKJ6jiimQSF_wfLEvUMGbUfYM81px84D4shjkCivDrcaUwep
 SMADHwaUtgudBA5sSh8rW.n.7exYdKeiDRZx2gWLek7k6yIqIygOVl5L_IWrP2YhGagnjt7cXRht
 YWsykJbeaIhvb6VPeCO7refIGgtYVQ9KuyjdV_6IrBX43n7OztSEvF0NRPa087KEBAYXJbdJRWyz
 DvX46vKYtESfeeBu1gW5D3eGwDN6iiks0YoEyqPGbyD7Vlro36C8RmocqbGxNyffRExCPLSGvlE_
 is2KKszoWjScd6gK3WMD4QeZ7OJIgKZ2.vGoGJ25qjOYe70xHl7Th0RsBoxEG7MglqsEuyG_M9Z6
 U1nEP.MROwbP_mLsOx1t6hKm4hhl1OfgnkWUR.mbBPLWyuSzjiAdbUL5RzQ3BrU7.x4dhlBSGrP3
 hpHi9i4WL8b87YEHvRXpVV37_RRyfWCpg6KaG.J23pdc0EVA1CZCtBaDi8PPCvij3cPg5fAXrfzE
 xfRwv3zq1PDB27F16m9uFJ3q2gqGfOkmtSdaw1WuQAlpRAVgmVEx7mF40fb7o8UYCkNuUKijQuhY
 O0MBAkXJGAKt7NdaMWpjmqVOyeSpRStAtdngNRTz2pii5NFj8LPlQdp8odHHxetpfKJ.zOZwnh14
 .IyOeRN4lRKYkrZGwJ5SpHzhtq9SeMJTrJWP78c9.SJajtidv.Ssc.5mhrstqWcB5N4phvymbTQT
 deaOeGYq4vbcw1IoG.BPs1hvaK7BNfs3QyZT.PbXLC0eXsoLfPLWLgHS92eRGJ3FxwCY3tUEMU.R
 cGR8mwHSzAg3QDaTOdJxi.bnBciUlOQHFw5ssxexVbjf2VLZ83eTOFHNVwdAVoYFYTJSHE6fz.g9
 _eG2w3Rz7v5t76_2B8GcXQdiqJO4YVSLwCmgx1mux3wiPOlDCtwv7xy.La4IgkBvAzR8iHBU2oMr
 oNnoAKZS4QXOOUiSuRXwi1RZ2Qvwkjc0LKopyT1.WsOA28mHnsfhqrpOwuwsEjottqkw2NCmuIXH
 F.mp5HY8wqzxjB1J47sJ4BegMxzSLomNVjAMIOyPcVQ_tNZn2RhvGZ_sUiiB1hLx91Y1G47il2T5
 5zRDRu29sS_qXvcoiCQnAxl2_z1h.EENTeb_RhOHm3qfGJddlrhwXkxut_XB71WoF0rJrhXQ8UBR
 eFn_64V4nbT_HesBECfiVYbDlHH.hR7MVtYwRuENpvr3ReqmGjHrSd3uhonGfWKpUaQIKK1MyONB
 ZbkfmozGv9GbtPHF0N4ZEcpEtvedyOVKX.2y6ZBVjUG2qHs15hveIOc07lZiW4G.rpFuCvWYiBG7
 lmGzRdHOm971wqWTbL6LsnXQWRKuodIQz2kj0HESY86QEU097HMSoewTJV744dAC.ekUMLwgCnO5
 54v5NkkiznEU5sJPMm96MbbPD2sgRO9QB6WStWh4rAUpEXBrHt5jJ0HykMVcU_fUtRZhS_Po8mXL
 uNs_0G0s5RnEgjMu6DCCz5pPnpFPeDXN3H51K9_L2XXXXUVqNM0MEzC1UG3VKzYTy2g2isnXJ6j_
 0z4QEtj6gtxJ0rPkcNAAY30hEwK0VEEnsWNyWSvWlPw6Tu7CQAFfYA_09MK3fhIyY.4_hEAHCZLB
 5su6ADAUZrj6SJRRBw7Z7ULYcswUCk1OIqt34SrUEex_AyX9TUnoDhhCccjpam20UA3tGyjNtdSO
 0bE4MFji_ifABLpm5Wl3qz3n57zvHOZLjIN4pKukXwPatKDVrlEGiNBxM_O4gxK7XeZ8-
X-Sonic-MF: <luangruo@HIDDEN>
Received: from sonic.gate.mail.ne1.yahoo.com by
 sonic312.consmr.mail.ne1.yahoo.com with HTTP; Sat, 14 Jan 2023 01:15:22 +0000
Received: by hermes--production-sg3-5ff5bbd69d-r9zfq (Yahoo Inc. Hermes SMTP
 Server) with ESMTPA ID c23b242ad93f52594b307091fbbbb127; 
 Sat, 14 Jan 2023 01:15:20 +0000 (UTC)
From: Po Lu <luangruo@HIDDEN>
To: Drew Adams <drew.adams@HIDDEN>
Subject: Re: bug#60646: 28.2; delete-selection-mode
In-Reply-To: <SJ0PR10MB548840E8AB8AD4DCCABF3B7AF3F99@HIDDEN>
 (Drew Adams's message of "Sun, 8 Jan 2023 16:34:56 +0000")
References: <YQXPR01MB4085114C99922D786AA09F68D1F99@HIDDEN>
 <SJ0PR10MB548840E8AB8AD4DCCABF3B7AF3F99@HIDDEN>
Date: Sat, 14 Jan 2023 09:15:13 +0800
Message-ID: <878ri5dihq.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13)
MIME-Version: 1.0
Content-Type: text/plain
X-Mailer: WebService/1.1.21062
 mail.backend.jedi.jws.acl:role.jedi.acl.token.atz.jws.hermes.yahoo
Content-Length: 562
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 60646
Cc: "Redekopp, Eric" <err291@HIDDEN>,
 "60646 <at> debbugs.gnu.org" <60646 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Drew Adams <drew.adams@HIDDEN> writes:

>> I would like to express my strong support
>> for enabling delete-selection-mode by default.
>> This is standard for almost all other text
>> applications and feels unintuitive not to have it.
>
> +1.  I've advocated the same for decades.
>
> This should have happened when we turned on
> `transient-mark-mode' by default.  And both
> of those default-behavior changes should
> really have happened long before that.

I disagree, but we've had this argument before, so please just leave
things as they are.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60646; Package emacs. Full text available.

Message received at 60646 <at> debbugs.gnu.org:


Received: (at 60646) by debbugs.gnu.org; 8 Jan 2023 16:35:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 08 11:35:02 2023
Received: from localhost ([127.0.0.1]:34486 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pEYdS-0000Y0-7f
	for submit <at> debbugs.gnu.org; Sun, 08 Jan 2023 11:35:02 -0500
Received: from mx0a-00069f02.pphosted.com ([205.220.165.32]:10968)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <drew.adams@HIDDEN>) id 1pEYdQ-0000XX-Dm
 for 60646 <at> debbugs.gnu.org; Sun, 08 Jan 2023 11:35:00 -0500
Received: from pps.filterd (m0246617.ppops.net [127.0.0.1])
 by mx0b-00069f02.pphosted.com (8.17.1.19/8.17.1.19) with ESMTP id
 308GUtnx013934; Sun, 8 Jan 2023 16:34:59 GMT
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=oracle.com;
 h=from : to : subject :
 date : message-id : references : in-reply-to : content-type :
 content-transfer-encoding : mime-version; s=corp-2022-7-12;
 bh=l4QCxHZeDsIsS6n/k+SvV6ieR+B6LSOe2mK8jL5nB+E=;
 b=oxHqdDYuiNvoiyzaehfhgll13wtnnANvo0evJUyLzZhjIhwymwWuEqA4Y9IOftBPyiVn
 yq9T1g/0/CAs3GjTJUnrLNV2TiPzwKzElN5HZwg/XBVUyFvbhLjJIPMRXhw8Zvy6jtYM
 20Qz7NzJvBZXJ8ZgohKMi/YLfIv8JVJNUc0mwY2S9LpWV3UrdHBDiP36ttBAuTycKpIK
 /XOJ6vx+Yt5z948ZQn/KgbZK5hEBaQSNojy7eWbrdOw6lnLwNaFoODRb3dZXGX9pYYhj
 eZ0VIA8bW8Tuv1fsa7hrQeTwsXLz0zAzG0yRovReu6pWVHn4904v4cynpo+c7EGvmmXu CQ== 
Received: from phxpaimrmta03.imrmtpd1.prodappphxaev1.oraclevcn.com
 (phxpaimrmta03.appoci.oracle.com [138.1.37.129])
 by mx0b-00069f02.pphosted.com (PPS) with ESMTPS id 3mydxm8tgr-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 08 Jan 2023 16:34:59 +0000
Received: from pps.filterd
 (phxpaimrmta03.imrmtpd1.prodappphxaev1.oraclevcn.com [127.0.0.1])
 by phxpaimrmta03.imrmtpd1.prodappphxaev1.oraclevcn.com (8.17.1.5/8.17.1.5)
 with ESMTP id 308BeTtL017890; Sun, 8 Jan 2023 16:34:58 GMT
Received: from nam11-bn8-obe.outbound.protection.outlook.com
 (mail-bn8nam11lp2169.outbound.protection.outlook.com [104.47.58.169])
 by phxpaimrmta03.imrmtpd1.prodappphxaev1.oraclevcn.com (PPS) with ESMTPS id
 3mxy6361ts-1
 (version=TLSv1.2 cipher=ECDHE-RSA-AES256-GCM-SHA384 bits=256 verify=OK);
 Sun, 08 Jan 2023 16:34:58 +0000
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=AMbHKDp6oPWydUVdkFK5LHcKrM6gJBPtuiZtzD3n2PjBR6T1zivASebUaYo5w/jbgR5g+CUqHdMEh25fFA4/8RyDbeCZkxR+cgJwsE9vxQ/mJEj1f/J7yatVZWLtefJHZyELkv02JywZc+XhgOvNMeXk9WqNb8bYLXnbmybjok85CePPtITGomHQGL5sFRmFxHgPnhUvLs7k0ROYFCMKV25D9PhtdKD3JH3Iphq5r8bt6tlfzQk/xNqAfWYCCj0UHwuZFTaKBv2fYRR+RATkGhleWR9xV+X/H3x+rxps0TFimokaA4vVsyiU1sEwsSoqeyr0ig0cXM9HFRYyefRfqg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=l4QCxHZeDsIsS6n/k+SvV6ieR+B6LSOe2mK8jL5nB+E=;
 b=cgs/sao+14a8+9hoH07+QZBbjpT5M0ZBpWr/6K6pgDKKXJ2jueQkayvuifn9mZYBDC7MznlILqhKdeFfFBITqtezjiWkEugEydaWv3z+/SCiEH9fzp1JeMLPPgInAhMoLmwLVTyGV//2eOcNj7ibKKJYapgWBBnqLlM5OQyAdtOZilNRO0Dc1QTooAaUxWDYAt6L6/AG9lWCMvH2AT7rkm1U+MyClJ5zSYk/xFrkB8Wd1YY4ppUoGXJDBAkkvu+bmVLbM0z8pqUiIR4P/kRObxy4xHlIz0kumeWvmfavHfz+//ABuJs6jv8DjjeKGg9ObdeGqgNkOsjLAeMzem9yjA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=oracle.com; dmarc=pass action=none header.from=oracle.com;
 dkim=pass header.d=oracle.com; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=oracle.onmicrosoft.com; s=selector2-oracle-onmicrosoft-com;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=l4QCxHZeDsIsS6n/k+SvV6ieR+B6LSOe2mK8jL5nB+E=;
 b=YamAUpV2gRDcpfGx66jBfXy2eq58jeTqIbmxkAIoXkriqp3nAKkB/rQCDY+gnpjQHPWSocH9Jof/yfuCwAFtQIawcYhoKx9feufKZfFWUeNenqutg8cOxdl93bwNfBqoNMDYeWaiQJSmltOYw2rewanXmHIe/06ss2QvncDOc/M=
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com (2603:10b6:a03:37e::19)
 by BLAPR10MB5235.namprd10.prod.outlook.com (2603:10b6:208:325::19)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.6002.9; Sun, 8 Jan
 2023 16:34:56 +0000
Received: from SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::7c3c:e53d:5276:ef29]) by SJ0PR10MB5488.namprd10.prod.outlook.com
 ([fe80::7c3c:e53d:5276:ef29%7]) with mapi id 15.20.6002.010; Sun, 8 Jan 2023
 16:34:56 +0000
From: Drew Adams <drew.adams@HIDDEN>
To: "Redekopp, Eric" <err291@HIDDEN>, "60646 <at> debbugs.gnu.org"
 <60646 <at> debbugs.gnu.org>
Subject: RE: 28.2; delete-selection-mode
Thread-Topic: 28.2; delete-selection-mode
Thread-Index: AQHZIv+vJVkqH9l+1km8+/Hel2wH7q6Ut19A
Date: Sun, 8 Jan 2023 16:34:56 +0000
Message-ID: <SJ0PR10MB548840E8AB8AD4DCCABF3B7AF3F99@HIDDEN>
References: <YQXPR01MB4085114C99922D786AA09F68D1F99@HIDDEN>
In-Reply-To: <YQXPR01MB4085114C99922D786AA09F68D1F99@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-ms-publictraffictype: Email
x-ms-traffictypediagnostic: SJ0PR10MB5488:EE_|BLAPR10MB5235:EE_
x-ms-office365-filtering-correlation-id: 555a40b2-92e4-40f5-2e55-08daf19646c7
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: +LguNHQVEv2ODBs/h9eTW8qOEWPCjKtK3YwXpyNJFNc0iA6TbgQvnHB3wrSR/+4E2QLptZ12ZYxDRFWcbzi3LbbxTnp/W5e6eVOgQqC/5qh2+FslfkRqpFB7yyD3R/IqClrgQ2QflzekDuI//EU8KsyJFdxVdSD5d0z8mCyCFSfUt8hxF+vTn7j5IhaTWJ751Xnxwh6TJlpzt6+bjbFT21yzF4tqnVW57l3bl2G7MVz92BlbHAbN/Z7NfDTbBeIagG+4ESid1nOpXGzv1c+a4GxQ9ObjOgLgaCU/cCo3gxwoAGS+n7KOgsUH8jAskpGfXnmVbvLRKtETqZUqg0UIGDz67ycbkjfMaq2ksi0ypa5gjZNrhSw2sUnEkfV941Nklg2kI9lC8E+I93Wbdc71j7j7uZyh5UZVnVY8895zEsm7wWF3sDCaI8EB1aRxdpB/sEWHwKEKF0AL3KmzGsI280RyeA1l207gqpOkfXc9OB/q6DfJxZcQiIdkkcvZK+SQCpk095myOFk5X+apIDgJAlhoHb4Jt7HiwuVoK+IWzSMoICf3X7aKtNfMCCVzyhMyY/nXPWwcxCvQ668m+6HojVP0kURfbyRPI/CuhmwYVoqWqrVZkZEZ6yroAsbcn/8rj9o+9MVlVh16/V0shr7oLxvt2Wwtfo/3zKxa0R8Ht9swBsq6brFTiN1CJLho46fd2xvjRmSFfXYHVzdwVOVINg==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:SJ0PR10MB5488.namprd10.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(13230022)(396003)(376002)(39860400002)(346002)(136003)(366004)(451199015)(33656002)(71200400001)(5660300002)(4744005)(316002)(9686003)(44832011)(186003)(26005)(7696005)(38070700005)(478600001)(41300700001)(110136005)(66476007)(66946007)(66556008)(66446008)(64756008)(8676002)(76116006)(83380400001)(52536014)(8936002)(86362001)(55016003)(122000001)(38100700002)(6506007)(2906002);
 DIR:OUT; SFP:1101; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?us-ascii?Q?gUtoeqPj8soM43jbodP/dTGEvmoLML84qGYTm3D1vut9xlaeT068QHdQ6Dtr?=
 =?us-ascii?Q?Vum6bS1eYjQjh10brdz77I+hRIf88BwdHt4ERX7exJSFV1LV7ACEGmc4gzIy?=
 =?us-ascii?Q?BSxXidqjez0cT2kjEp5SmUFDWeGOH87jKWy6d60l/kjyQ7du84h2J9kEMbwq?=
 =?us-ascii?Q?kibi1brP58wFIwKy5MzDEkWVy+ECCpgBrPJ4i/1hyEj2OuUJV9o1LdxGg/aD?=
 =?us-ascii?Q?6xRcpyiya4afj7BdHp6vMBMrTF0ePO64Dn5mVYolhL8Djx8PRVFw8JeC5QTe?=
 =?us-ascii?Q?5Pf7qbg9kywqvy1/ysvSuMYJiycT1Irc8kRwcAaYRhamApzLA5cuzS25rRTB?=
 =?us-ascii?Q?eXvTJYqnNFjoOmZFkbq7Vieiv976gUWSa+b54HzvMn4Gvi1ZzHwyqqd4eOBh?=
 =?us-ascii?Q?Rbe7yLKyaq9zlLupPb1+OJ22M2nrDMYJOMysJ3N997PZhUkHHLyYVIQ68mkQ?=
 =?us-ascii?Q?LDZEgCe8xiIl/KFwOp6VaI+GdnzMM8J0nY7GSna3GvWREH/IXDJdHA3MYKWi?=
 =?us-ascii?Q?B/BRB+7ewN0h7i+icDxu2WFCoMUoNWAbYMsXcjW87k8RaiZfe5DXDs+88lZW?=
 =?us-ascii?Q?olj0NysfIXxzmGb0QhNkq4cYtLaMZwG1GGfDLzezBSs7J9TaGKB8/BtJGvEX?=
 =?us-ascii?Q?tFQcq7gFqWjAx+hnOMowa6hFbi/b4Mr8nbteXsHeenliRirSGXvBXoacTSgQ?=
 =?us-ascii?Q?EPO0TT5HYMsKA4s5PEpMSVqKecB9pMeAk+sbICXYarsDqKudXK7HUJ9K2T1R?=
 =?us-ascii?Q?uLKB8TO0vAcaTqJj1tuwuYI0SLjPrI7QuPV9XMgxg5EvnW7lMLdxc810jPv4?=
 =?us-ascii?Q?V51D8t9wvRUDQKkzxBPDN29/lt1F1S4hKWrnbwyYRYWff+9ba+vA6LWDXRLe?=
 =?us-ascii?Q?9aQVlQhegw5t2xVbciN2D0o6ESC/D7PjwjmfKr47cZfy0k8znxGEa9PElUgk?=
 =?us-ascii?Q?+Uc6lEuKpxGcfafudo6qQ7oGgFyng9MR9HjxlPNTBtf4q2TU/qH/m3nAYBCj?=
 =?us-ascii?Q?Ul52V3Tb0qin8uet0TDIzOIdBABvXGpkAV3zv6tQvRVncny4V4kypHysM2k9?=
 =?us-ascii?Q?sgwllO+WhTj//ITETlFI6aF2uLzY8QDGOE+6Eu7eF+Z8qoYRFneUzjI5jZD2?=
 =?us-ascii?Q?jDrQvVUWhkRJo/blCVW5Z4gX6iBB8XgOqENY4v2eaShNZ43HRwLa7X0wV9WC?=
 =?us-ascii?Q?T8A8rtPRpM0WU7V2tr7kdgEoZ02tYW5iW0gcofmZlvRNmCHxicApeFFbOM1M?=
 =?us-ascii?Q?m3IPJDVJUhWJ2w5UGiUDlZv9XyPW4e6rEwArtlmbN82lKVMNJfAEx/q6fw7e?=
 =?us-ascii?Q?NBF9rZ1/em8Nvk5upeVoqXjxQ9WcE6IcUnoQEwhfzvj4WO43uFVTZMxrPEK7?=
 =?us-ascii?Q?TqQXHCjhWYTRVLN2qa1mXZO9ZBjG/ddAP/xlCa0SUBFXb38smZzeZZmygX7y?=
 =?us-ascii?Q?fSdzmoG9Lsp5Gs9Es7YZtGPW5lMj24gKvyoDWzGEkww7BWIC9uB3OJvoAVgR?=
 =?us-ascii?Q?ML4hpPuMJFEcGSBhgCFWbQ2/luLWbhgv0ds1DP+7tEubXClSShCpXsjvuRhV?=
 =?us-ascii?Q?VEdY6pZJHK7eTLMkPEY9nx9ML//cpepUaW72YdJv?=
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-MS-Exchange-AntiSpam-ExternalHop-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-ExternalHop-MessageData-0: /oQJ0gl/5jq0ZNsGlP63Rs21DWa3SHv2f6NMe9Hh97cwbhR1YLo03keJ6jK7fBU+tqbjQhHRbW6lUgf3/p3x1LmaqC6uNrTXZPx9K9hSnjomr0ZO6ulUK6naoRP7Vi9cLR02NcZBp3EgVZZMCahu/aiFIp6u77c7c/2+LwKAUKHpnpBo2dyJl2F7OWczXWwkyFzlabey+HwILg5phollcGjV3Ci1sa1eCPSHPp+VSPEtF63S4/gX+W3T2J9hTw6HYSHwqy5Z7dc3G1REN/M7PEA998Afl09W8026t1l/6qqAEo0IK3Axg3yvpH5FsyFP6WtQdJj2oKxaz97dgaRs9splBSh0EtMHidZQkWo/ceq1vSN/sbs2xtwVm/4zVL4EP8Hn3tzOsw69mK+Qte0ADQBK0P2tf19268Gp+6cPUc1nEXn2eFEw3ertDElrjV9cVWt63P/pFAJYfHAJVCXGv6/0H/221bWWG8jw8vmy1sNuC9rPy8QypjJrlyFuiNE+DZ1hT8LF2IC44MEDdnD+bJnZY2G5HtYBQiPhgKCh0/7nsPUO2oagZrGB8NwGrsddDKHKrUFwSviGqbZK2YVpwUdlVtQn8okegXrJIyn+tIO5s0+QCoiqMqngSZhFk/voBkG6GQlzGA1Ko64bSGCzrzPSUeEtZKzzmkeB+VTpd+1JDj0AxHQ/fKDUDJFMAxa0BvvOlSjlColLFPXu7KZW6pVInswk+fJhrEow+i3lVNyk4H/YconcuZ5LIeZLF/+/I+A07Xvlg1by3PtrzmqMFoE56SDA/mjSC/zhrTqQ/KE=
X-OriginatorOrg: oracle.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: SJ0PR10MB5488.namprd10.prod.outlook.com
X-MS-Exchange-CrossTenant-Network-Message-Id: 555a40b2-92e4-40f5-2e55-08daf19646c7
X-MS-Exchange-CrossTenant-originalarrivaltime: 08 Jan 2023 16:34:56.0881 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 4e2c6054-71cb-48f1-bd6c-3a9705aca71b
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: i7sw9mRi9KTOxg3nI2h/NEs9gCUEbgCH1lJe8MxLqRaZiHfzNJKbKfBknwWJW1mnxYewzp6UVhsVz9lFs6MmSw==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BLAPR10MB5235
X-Proofpoint-Virus-Version: vendor=baseguard
 engine=ICAP:2.0.205,Aquarius:18.0.923,Hydra:6.0.545,FMLib:17.11.122.1
 definitions=2023-01-08_12,2023-01-06_01,2022-06-22_01
X-Proofpoint-Spam-Details: rule=notspam policy=default score=0 mlxlogscore=654
 spamscore=0
 adultscore=0 suspectscore=0 phishscore=0 mlxscore=0 bulkscore=0
 malwarescore=0 classifier=spam adjust=0 reason=mlx scancount=1
 engine=8.12.0-2212070000 definitions=main-2301080123
X-Proofpoint-ORIG-GUID: KtDhl1wPaOmxewsJnjZwYDwIBL_OT8K7
X-Proofpoint-GUID: KtDhl1wPaOmxewsJnjZwYDwIBL_OT8K7
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 60646
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

> I would like to express my strong support
> for enabling delete-selection-mode by default.
> This is standard for almost all other text
> applications and feels unintuitive not to have it.

+1.  I've advocated the same for decades.

This should have happened when we turned on
`transient-mark-mode' by default.  And both
of those default-behavior changes should
really have happened long before that.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#60646; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Jan 2023 07:05:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 08 02:05:06 2023
Received: from localhost ([127.0.0.1]:59737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pEPjq-0006Ve-O5
	for submit <at> debbugs.gnu.org; Sun, 08 Jan 2023 02:05:06 -0500
Received: from lists.gnu.org ([209.51.188.17]:34678)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <err291@HIDDEN>) id 1pEKc2-0003jW-3h
 for submit <at> debbugs.gnu.org; Sat, 07 Jan 2023 20:36:39 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <err291@HIDDEN>)
 id 1pEKc1-0003hZ-VV
 for bug-gnu-emacs@HIDDEN; Sat, 07 Jan 2023 20:36:37 -0500
Received: from mail-yt3can01on2070a.outbound.protection.outlook.com
 ([2a01:111:f403:7053::70a]
 helo=CAN01-YT3-obe.outbound.protection.outlook.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <err291@HIDDEN>)
 id 1pEKby-0002QJ-SE
 for bug-gnu-emacs@HIDDEN; Sat, 07 Jan 2023 20:36:37 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=K+S0tojHdugHPFxtM0Qc+5SODSrVb+0vXjV/35j9DYsre7CMNRwkoYfoaNxoRvCkL0ia2b3uWd3qhrGvlKjynF/0VQYQEWyQmcj8c9FTRItbJi1vdqnjdWZ8y9eclqEnk0qvc2KaDH6/hBn7VzZTgKWlc8tJgblxzsxevWvvAMX/VI4dJ+pcs4J2VDmEMkjeCziPAiJQuYiSpjm4WlvfwTGmtL/gCPaZl+lhfZV9XElpk+gsvUQoPAyWmTK+RGbiva69zcYwgauJaRs3L4gxKuBnRAXL+eO8tLlJdpVyJnYcJVXAEX5h846nMchVw4C0ozkJXlkCh2xeEJ/mcvtTvg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=V7+AtsBgRND1oiAq2J9F34+NclkrBjop5hMmBkNyCQY=;
 b=g0DoYplv8wD+lC5kizxhP3QgCtDTTUZfbF+G1qlgNGdeOqhcjaQy9LUqQ3ZgAyfI1Pa+/bS7SRrbTpb6KFhs2dDxwZusv250R33vymV6V1R0e0vFKHY7lr1HT2AWc6KQjdDTrqR3MjlNwF3YfnMP9/NhoPQ3TvK25UM3G6baYQ2NQs9zIs9H1GIUIrR3UjdfUPuzHtz6W/ZmDjlJupVmF8WPqb0PIb8AG3PzDxZSnZES9ss5tSZBJWtRbE5XFf6Dr5h5M52JlGY1ul1QvNWgrfVoE0C8fFY26LldotuyVsphP9EgqrPw0Ab8FiZBt4x115dlob8zHXmVkzOeN2EOrQ==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=mail.usask.ca; dmarc=pass action=none
 header.from=mail.usask.ca; dkim=pass header.d=mail.usask.ca; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=mail.usask.ca;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=V7+AtsBgRND1oiAq2J9F34+NclkrBjop5hMmBkNyCQY=;
 b=DreLC6IIhUQHJcC2bTz8mTIYobqBVlx9TWDWS8eEuakXpdzOJHGVRp5uCjrh9fun8a8nKZ8evXspI+qtJYzop/hJ4QF39HaY5HfFhVB3kPNkyTMs2JzmgLxCeZMmX8TO0a82khqH91JOaqaIGNeZaTb3f4rC6EiMkusfxxTAhtk=
Received: from YQXPR01MB4085.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:c01:11::24)
 by YT2PR01MB5630.CANPRD01.PROD.OUTLOOK.COM (2603:10b6:b01:52::14)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.5986.18; Sun, 8 Jan
 2023 01:31:30 +0000
Received: from YQXPR01MB4085.CANPRD01.PROD.OUTLOOK.COM
 ([fe80::ed05:4e48:931:7072]) by YQXPR01MB4085.CANPRD01.PROD.OUTLOOK.COM
 ([fe80::ed05:4e48:931:7072%8]) with mapi id 15.20.5986.018; Sun, 8 Jan 2023
 01:31:30 +0000
From: "Redekopp, Eric" <err291@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: 28.2; delete-selection-mode
Thread-Topic: 28.2; delete-selection-mode
Thread-Index: AQHZIv+vJVkqH9l+1km8+/Hel2wH7g==
Date: Sun, 8 Jan 2023 01:31:30 +0000
Message-ID: <YQXPR01MB4085114C99922D786AA09F68D1F99@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
msip_labels: 
authentication-results: dkim=none (message not signed)
 header.d=none;dmarc=none action=none header.from=mail.usask.ca;
x-ms-publictraffictype: Email
x-ms-traffictypediagnostic: YQXPR01MB4085:EE_|YT2PR01MB5630:EE_
x-ms-office365-filtering-correlation-id: 4bce4d29-8546-41e5-948c-08daf11811c6
x-uofs-origin: Internal
x-ms-exchange-senderadcheck: 1
x-ms-exchange-antispam-relay: 0
x-microsoft-antispam: BCL:0;
x-microsoft-antispam-message-info: B1JSUaR4dsIBxULUlkJzvlizk+sjPh0onywttCp/aKp4IwCdnPaEtSnBJGRDaoTyvktYP3gqDSzEUJKQYN4H6I4xeMwuOSGDXIQ1Jb8GT/uazqzESDt/h0Gx75nYsMoR1X/ISOe8ZtgQ8cxQC7pJTgqP9hWziOLeA0+PoCemMySWv/g8uEfLk3By6CIEck8hNxpoRr/X4wjo3NNVBKCkZPx55lUePtip6fu8F+jjQyRpw4dup+gRoEbXc/9gdLcyyMUm04aM5XN5b9nZbiziqsn3w5nsB0bAAdc6HWduPP9S+BIQCXCWKEmur+rCvgLyjxZpimWWTYD9lCistCxX2PaPwH6+R61Agcl+WjpQnBZJEeMcHv3NZZYRLQ+o8VKtZMDAH4c4W7WzfBKYPalfAO+nk42DFg98xp8FvSK0Ux6PZUlX567CsjVOd4BJqiR4ryofDr0iTCGVSLhKDQ6HtNjibvc0FwOeFvDhWnOAyL+kbJzjIJinhkA4pH4Kr1VZM8e+GdAQulNMPfnhNi8JoMt358DxNH7JaFR3+Yh/Azq8yWp5HXxMX8T7s4j/dRhhYju0EvnITteY5xcsqiMpSzGj+QqVcY7W/g+3jyBuzqliniErU0RU7FY8KL/f7GuLuOl0g9YdLGDe0J9LeCDBrHPqeF1ywsS8bzFoeG8UMpjSsOljq3TZjzAnUEb3eIApQqLXGdRpWHmjVqhTE3cl3A==
x-forefront-antispam-report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:YQXPR01MB4085.CANPRD01.PROD.OUTLOOK.COM; PTR:; CAT:NONE;
 SFS:(13230022)(4636009)(346002)(366004)(39860400002)(396003)(376002)(136003)(451199015)(19627405001)(66899015)(41320700001)(8936002)(2906002)(5660300002)(52536014)(41300700001)(7696005)(66556008)(316002)(66946007)(66446008)(66476007)(64756008)(6916009)(8676002)(76116006)(71200400001)(786003)(91956017)(38070700005)(186003)(9686003)(38100700002)(26005)(55016003)(122000001)(83380400001)(86362001)(478600001)(6506007)(33656002);
 DIR:OUT; SFP:1102; 
x-ms-exchange-antispam-messagedata-chunkcount: 1
x-ms-exchange-antispam-messagedata-0: =?iso-8859-1?Q?Y/+EReFTYkbsQTwRUjMf7uqnwRgqYNkCwKx80+OrSZ9wF7UfuKKSPEb+gu?=
 =?iso-8859-1?Q?qa9NP3zsIgmURmb5oiKb2UyytYB/MeWa1g98E72Z60i3R8we3hHjonDWRR?=
 =?iso-8859-1?Q?c96rFzAisQdv7in+llAlTZsJd7vpIYql4gt+KARQw16O+UOplP/tVG8opg?=
 =?iso-8859-1?Q?C9yxbHavX1Pw3JeLqTajYXfroMW4MN+fslsbenoyTNRfxID+Mx7q3/EEPr?=
 =?iso-8859-1?Q?afHC/21OiNtZCnjrM3hHz9VYJryG1Fe9sGLBTgpB3NGRB4yWt2EIcP873h?=
 =?iso-8859-1?Q?WE7phZgJD6PnzAg7WXLjXMGXzNU8B5RC1y38h3G4g1SXDeZQD3n2d20Twg?=
 =?iso-8859-1?Q?7BvmKYXpZn5sHlVrWh93bDGRNjYIA9ReZ0ffDGMfSkCWX/phRa5XklOpLU?=
 =?iso-8859-1?Q?HiO9nONOT/WEtV7NFA80Vvqn/P0sNhFcITn2SmLlMZqK2rWIXfGICXDB9U?=
 =?iso-8859-1?Q?B4gOHUBQboy5uOQrRCDKjTlEdzP4ZdfduBAq/saKq9m33ODmTn0YDoNmaO?=
 =?iso-8859-1?Q?6Y3v0K6pWAQkEsCKhTU8o2TxZm3G8C5/IZhXzOTuP3WUxRPxWFtIgIPdnY?=
 =?iso-8859-1?Q?R24Jgdlip5TZVwbGhpHQte/s97OR0QUAx5b/Ng3R7aiN3IXQNm0SvbY8Xs?=
 =?iso-8859-1?Q?DnZk9+zqNdNynudPjtmjxS+3A4fn6MTjr6Im+10X+r77VS75W1CkJxz8KS?=
 =?iso-8859-1?Q?7R61V7LfcKk3+EzgFVxT4/EeTQop8oR8Wlr7VMDusOTNKS7dyqdgBpD2la?=
 =?iso-8859-1?Q?0rhNGzZbeX0hTn+jJYuNsh/dYOf/oJy9vWHdo7HspOsouQNq1plST1aJbw?=
 =?iso-8859-1?Q?Inm3nMb+kZ8TefhrVLXccud3j7mvz42aBmbJreWJdjbF7u3h75IDuSo8ko?=
 =?iso-8859-1?Q?1MwBaiOMFI8dFDxb7n/dNyLwVUpm0OQi83H8mlvfH8RzYoQittpCL4ejK3?=
 =?iso-8859-1?Q?Q8evkyg+Vc8AtC0PChlYo2XP0421TrhF5WpmMOtwmccy71DO3NE2Ph4Ihb?=
 =?iso-8859-1?Q?kOBiEchWhav3oZyLv2/TgNhhWICxnQcf0dd4cgDCnd4hjXiNJhMtMMBzKj?=
 =?iso-8859-1?Q?bpHP0fg9m/CX1LKuEoHdTk8DuzRvGx6YFOhUdjkYOLfw0LOVDY2+Teb6xl?=
 =?iso-8859-1?Q?/qscUcIqr7DK/l4fJwQgeIy49UYIhJi2HID6IwaTIBYL7wgFo7G/ihK//Q?=
 =?iso-8859-1?Q?9sfeqIE6EIyQybHqEH3Geh+P0OEbvqLJKqGBnLNIIBvz+WqId1R2Kkv3yt?=
 =?iso-8859-1?Q?Ny7g5Zhwuzq771YXB+/GBdDkipd7jkW0kei75HX9yWvvfWnG8632nONbHv?=
 =?iso-8859-1?Q?R+ccHNCnh+fPCeGd4emMK2l2XJ4Pqqo7vmcxGDK8ByixJbpOgojzagRICK?=
 =?iso-8859-1?Q?DfrGTfL2AQKTSMm4xb3xjsjU6bTOrAmqRHr47aZQff5uwX8MQB2NIZ//4m?=
 =?iso-8859-1?Q?M73gMvPrXfz10aQAEajRRdr2n1d3m4wXxXeTgQlVpPwO5hrSszUtlZ3BCh?=
 =?iso-8859-1?Q?U1wxWP+t5QxZeECQFyc6K7/zXQDCilfmYkblPrGx/7ncX7AtzQB+2ba9qW?=
 =?iso-8859-1?Q?D90+SoapjUqqaFLcKNmT0Z1EkS2POJ3fH891DdmCtOSA0KSeumyGCprZiF?=
 =?iso-8859-1?Q?blxNvbFolYPx8=3D?=
Content-Type: multipart/alternative;
 boundary="_000_YQXPR01MB4085114C99922D786AA09F68D1F99YQXPR01MB4085CANP_"
MIME-Version: 1.0
X-OriginatorOrg: mail.usask.ca
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-AuthSource: YQXPR01MB4085.CANPRD01.PROD.OUTLOOK.COM
X-MS-Exchange-CrossTenant-Network-Message-Id: 4bce4d29-8546-41e5-948c-08daf11811c6
X-MS-Exchange-CrossTenant-originalarrivaltime: 08 Jan 2023 01:31:30.5770 (UTC)
X-MS-Exchange-CrossTenant-fromentityheader: Hosted
X-MS-Exchange-CrossTenant-id: 24ab6cd0-487e-4722-9bc3-da9c4232776c
X-MS-Exchange-CrossTenant-mailboxtype: HOSTED
X-MS-Exchange-CrossTenant-userprincipalname: m2SSUn5NmPFOqDFazlUr1CfdVI2nqJt721xKGyxBVHidyrFlziNSVut+yM49vbvd
X-MS-Exchange-Transport-CrossTenantHeadersStamped: YT2PR01MB5630
Received-SPF: pass client-ip=2a01:111:f403:7053::70a;
 envelope-from=err291@HIDDEN;
 helo=CAN01-YT3-obe.outbound.protection.outlook.com
X-Spam_score_int: -19
X-Spam_score: -2.0
X-Spam_bar: --
X-Spam_report: (-2.0 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, HTML_MESSAGE=0.001, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 08 Jan 2023 02:05:01 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--_000_YQXPR01MB4085114C99922D786AA09F68D1F99YQXPR01MB4085CANP_
Content-Type: text/plain; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

I would like to express my strong support for enabling delete-selection-mod=
e by default. This is standard for almost all other text applications and f=
eels unintuitive not to have it.

Thanks for your consideration and keep up the good work.
Eric Redekopp, University Of Saskatchewan

In GNU Emacs 28.2 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.34, cair=
o version 1.17.6)
 of 2022-09-12 built on frederik
Windowing system distributor 'The X.Org Foundation', version 11.0.12101006
System Description: Manjaro Linux

Configured using:
 'configure --sysconfdir=3D/etc --prefix=3D/usr --libexecdir=3D/usr/lib
 --localstatedir=3D/var --with-cairo --with-harfbuzz --with-libsystemd
 --with-modules --with-x-toolkit=3Dgtk3 'CFLAGS=3D-march=3Dx86-64
 -mtune=3Dgeneric -O2 -pipe -fno-plt -fexceptions -Wp,-D_FORTIFY_SOURCE=3D2
 -Wformat -Werror=3Dformat-security -fstack-clash-protection
 -fcf-protection -g -ffile-prefix-map=3D/build/emacs/src=3D/usr/src/debug
 -flto=3Dauto' 'LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now
 -flto=3Dauto''

Configured features:
ACL CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG
JSON LCMS2 LIBOTF LIBSYSTEMD LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY
PDUMPER PNG RSVG SECCOMP SOUND THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE
XIM XPM GTK3 ZLIB

Important settings:
  value of $LC_MONETARY: en_CA.UTF-8
  value of $LC_NUMERIC: en_CA.UTF-8
  value of $LC_TIME: en_CA.UTF-8
  value of $LANG: en_CA.UTF-8
  value of $XMODIFIERS: @im=3Dibus
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  electric-pair-mode: t
  display-fill-column-indicator-mode: t
  global-flycheck-mode: t
  flycheck-mode: t
  global-company-mode: t
  company-mode: t
  pyvenv-mode: t
  shell-dirtrack-mode: t
  counsel-projectile-mode: t
  projectile-mode: t
  which-key-mode: t
  ivy-rich-mode: t
  ivy-mode: t
  doom-modeline-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  delete-selection-mode: t
  override-global-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  show-paren-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
/home/eric/.emacs.d/elpa/transient-0.3.7/transient hides /usr/share/emacs/2=
8.2/lisp/transient

Features:
(shadow sort mail-extr emacsbug message rfc822 mml mml-sec epa gnus-util
rmail rmail-loaddefs mm-decode mm-bodies mm-encode mailabbrev gmm-utils
mailheader sendmail mail-utils ffap tide tide-lv typescript-mode cc-mode
cc-fonts cc-guess cc-menus cc-cmds face-remap server elec-pair
display-fill-column-indicator flycheck find-func company-oddmuse
company-keywords company-etags company-gtags company-dabbrev-code
company-dabbrev company-files company-cmake company-xcode company-clang
company-semantic company-eclim company-template company-bbdb
highlight-indentation flymake-proc flymake warnings company-capf company
help-fns radix-tree elpy elpy-rpc pyvenv eshell esh-cmd esh-ext esh-opt
esh-proc esh-io esh-arg esh-module esh-groups esh-util elpy-shell
elpy-profile elpy-django elpy-refactor python tramp-sh tramp
tramp-loaddefs trampver tramp-integration tramp-compat shell pcomplete
parse-time iso8601 time-date ls-lisp format-spec ido files-x etags
fileloop generator cus-edit pp cus-start cus-load cc-styles cc-align
cc-engine cc-vars cc-defs julia-mode julia-mode-latexsubs lsp-ivy
lsp-mode yasnippet-snippets yasnippet tree-widget wid-edit spinner pcase
network-stream puny nsm rmc markdown-mode noutline outline lv inline
imenu filenotify ewoc epg rfc6068 epg-config lsp-protocol ht
counsel-projectile projectile lisp-mnt mail-parse rfc2231 rfc2047
rfc2045 mm-util ietf-drums mail-prsvr grep ibuf-ext ibuffer
ibuffer-loaddefs thingatpt which-key counsel xdg advice xref project
dired dired-loaddefs compile comint ansi-color swiper ivy-rich ivy
derived ring ivy-faces ivy-overlay colir color doom-modeline
doom-modeline-segments doom-modeline-env doom-modeline-core
all-the-icons all-the-icons-faces data-material data-weathericons
data-octicons data-fileicons data-faicons data-alltheicons shrink-path
rx f f-shortdoc shortdoc text-property-search s dash compat compat-macs
command-log-mode cl-extra help-mode edmacro kmacro linum
display-line-numbers delsel doom-henna-theme doom-themes
doom-themes-base use-package use-package-ensure use-package-delight
use-package-diminish use-package-bind-key bind-key easy-mmode
use-package-core finder-inf info package browse-url url url-proxy
url-privacy url-expand url-methods url-history url-cookie url-domsuf
url-util mailcap url-handlers url-parse auth-source cl-seq eieio
eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
iso-transl tooltip eldoc paren electric uniquify ediff-hook vc-hooks
lisp-float-type elisp-mode mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode lisp-mode prog-mode register page tab-bar menu-bar
rfn-eshadow isearch easymenu timer select scroll-bar mouse jit-lock
font-lock syntax font-core term/tty-colors frame minibuffer cl-generic
cham georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese eucjp-ms cp51932 hebrew greek romanian slovak czech
european ethiopic indian cyrillic chinese composite emoji-zwj charscript
charprop case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice button loaddefs faces cus-face macroexp files
window text-properties overlay sha1 md5 base64 format env code-pages
mule custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting system-font-setting font-render-setting
cairo move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 574892 88899)
 (symbols 48 40023 1)
 (strings 32 172871 5875)
 (string-bytes 1 4756015)
 (vectors 16 62304)
 (vector-slots 8 766577 33432)
 (floats 8 948 248)
 (intervals 56 412 105)
 (buffers 992 11))

--_000_YQXPR01MB4085114C99922D786AA09F68D1F99YQXPR01MB4085CANP_
Content-Type: text/html; charset="iso-8859-1"
Content-Transfer-Encoding: quoted-printable

<html>
<head>
<meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3Diso-8859-=
1">
<style type=3D"text/css" style=3D"display:none;"> P {margin-top:0;margin-bo=
ttom:0;} </style>
</head>
<body dir=3D"ltr">
<div class=3D"elementToProof"><span style=3D"font-family: Calibri, Arial, H=
elvetica, sans-serif; font-size: 12pt; color: rgb(0, 0, 0); background-colo=
r: rgb(255, 255, 255);" class=3D"ContentPasted0">
<div class=3D"FluidPluginCopy">I would like to express my strong support fo=
r enabling delete-selection-mode by default. This is standard for almost al=
l other text applications and feels unintuitive not to have it.&nbsp;</div>
<div class=3D"FluidPluginCopy"><br>
</div>
<div class=3D"FluidPluginCopy">Thanks for your consideration and keep up th=
e good work.</div>
<div class=3D"FluidPluginCopy">Eric Redekopp, University Of Saskatchewan</d=
iv>
<div class=3D"FluidPluginCopy"><br class=3D"ContentPasted0">
</div>
<div class=3D"FluidPluginCopy ContentPasted0">In GNU Emacs 28.2 (build 1, x=
86_64-pc-linux-gnu, GTK+ Version 3.24.34, cairo version 1.17.6)</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp;of 2022-09-12 built on =
frederik</div>
<div class=3D"FluidPluginCopy ContentPasted0">Windowing system distributor =
'The X.Org Foundation', version 11.0.12101006</div>
<div class=3D"FluidPluginCopy ContentPasted0">System Description: Manjaro L=
inux</div>
<div class=3D"FluidPluginCopy"><br class=3D"ContentPasted0">
</div>
<div class=3D"FluidPluginCopy ContentPasted0">Configured using:</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp;'configure --sysconfdir=
=3D/etc --prefix=3D/usr --libexecdir=3D/usr/lib</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp;--localstatedir=3D/var =
--with-cairo --with-harfbuzz --with-libsystemd</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp;--with-modules --with-x=
-toolkit=3Dgtk3 'CFLAGS=3D-march=3Dx86-64</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp;-mtune=3Dgeneric -O2 -p=
ipe -fno-plt -fexceptions -Wp,-D_FORTIFY_SOURCE=3D2</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp;-Wformat -Werror=3Dform=
at-security -fstack-clash-protection</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp;-fcf-protection -g -ffi=
le-prefix-map=3D/build/emacs/src=3D/usr/src/debug</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp;-flto=3Dauto' 'LDFLAGS=
=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp;-flto=3Dauto''</div>
<div class=3D"FluidPluginCopy"><br class=3D"ContentPasted0">
</div>
<div class=3D"FluidPluginCopy ContentPasted0">Configured features:</div>
<div class=3D"FluidPluginCopy ContentPasted0">ACL CAIRO DBUS FREETYPE GIF G=
LIB GMP GNUTLS GPM GSETTINGS HARFBUZZ JPEG</div>
<div class=3D"FluidPluginCopy ContentPasted0">JSON LCMS2 LIBOTF LIBSYSTEMD =
LIBXML2 M17N_FLT MODULES NOTIFY INOTIFY</div>
<div class=3D"FluidPluginCopy ContentPasted0">PDUMPER PNG RSVG SECCOMP SOUN=
D THREADS TIFF TOOLKIT_SCROLL_BARS X11 XDBE</div>
<div class=3D"FluidPluginCopy ContentPasted0">XIM XPM GTK3 ZLIB</div>
<div class=3D"FluidPluginCopy"><br class=3D"ContentPasted0">
</div>
<div class=3D"FluidPluginCopy ContentPasted0">Important settings:</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; value of $LC_MONETARY:=
 en_CA.UTF-8</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; value of $LC_NUMERIC: =
en_CA.UTF-8</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; value of $LC_TIME: en_=
CA.UTF-8</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; value of $LANG: en_CA.=
UTF-8</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; value of $XMODIFIERS: =
@im=3Dibus</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; locale-coding-system: =
utf-8-unix</div>
<div class=3D"FluidPluginCopy"><br class=3D"ContentPasted0">
</div>
<div class=3D"FluidPluginCopy ContentPasted0">Major mode: Lisp Interaction<=
/div>
<div class=3D"FluidPluginCopy"><br class=3D"ContentPasted0">
</div>
<div class=3D"FluidPluginCopy ContentPasted0">Minor modes in effect:</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; electric-pair-mode: t<=
/div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; display-fill-column-in=
dicator-mode: t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; global-flycheck-mode: =
t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; flycheck-mode: t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; global-company-mode: t=
</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; company-mode: t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; pyvenv-mode: t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; shell-dirtrack-mode: t=
</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; counsel-projectile-mod=
e: t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; projectile-mode: t</di=
v>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; which-key-mode: t</div=
>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; ivy-rich-mode: t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; ivy-mode: t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; doom-modeline-mode: t<=
/div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; global-display-line-nu=
mbers-mode: t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; display-line-numbers-m=
ode: t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; delete-selection-mode:=
 t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; override-global-mode: =
t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; global-eldoc-mode: t</=
div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; eldoc-mode: t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; show-paren-mode: t</di=
v>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; electric-indent-mode: =
t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; mouse-wheel-mode: t</d=
iv>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; file-name-shadow-mode:=
 t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; global-font-lock-mode:=
 t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; font-lock-mode: t</div=
>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; blink-cursor-mode: t</=
div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; auto-composition-mode:=
 t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; auto-encryption-mode: =
t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; auto-compression-mode:=
 t</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; column-number-mode: t<=
/div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; line-number-mode: t</d=
iv>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp; transient-mark-mode: t=
</div>
<div class=3D"FluidPluginCopy"><br class=3D"ContentPasted0">
</div>
<div class=3D"FluidPluginCopy ContentPasted0">Load-path shadows:</div>
<div class=3D"FluidPluginCopy ContentPasted0">/home/eric/.emacs.d/elpa/tran=
sient-0.3.7/transient hides /usr/share/emacs/28.2/lisp/transient</div>
<div class=3D"FluidPluginCopy"><br class=3D"ContentPasted0">
</div>
<div class=3D"FluidPluginCopy ContentPasted0">Features:</div>
<div class=3D"FluidPluginCopy ContentPasted0">(shadow sort mail-extr emacsb=
ug message rfc822 mml mml-sec epa gnus-util</div>
<div class=3D"FluidPluginCopy ContentPasted0">rmail rmail-loaddefs mm-decod=
e mm-bodies mm-encode mailabbrev gmm-utils</div>
<div class=3D"FluidPluginCopy ContentPasted0">mailheader sendmail mail-util=
s ffap tide tide-lv typescript-mode cc-mode</div>
<div class=3D"FluidPluginCopy ContentPasted0">cc-fonts cc-guess cc-menus cc=
-cmds face-remap server elec-pair</div>
<div class=3D"FluidPluginCopy ContentPasted0">display-fill-column-indicator=
 flycheck find-func company-oddmuse</div>
<div class=3D"FluidPluginCopy ContentPasted0">company-keywords company-etag=
s company-gtags company-dabbrev-code</div>
<div class=3D"FluidPluginCopy ContentPasted0">company-dabbrev company-files=
 company-cmake company-xcode company-clang</div>
<div class=3D"FluidPluginCopy ContentPasted0">company-semantic company-ecli=
m company-template company-bbdb</div>
<div class=3D"FluidPluginCopy ContentPasted0">highlight-indentation flymake=
-proc flymake warnings company-capf company</div>
<div class=3D"FluidPluginCopy ContentPasted0">help-fns radix-tree elpy elpy=
-rpc pyvenv eshell esh-cmd esh-ext esh-opt</div>
<div class=3D"FluidPluginCopy ContentPasted0">esh-proc esh-io esh-arg esh-m=
odule esh-groups esh-util elpy-shell</div>
<div class=3D"FluidPluginCopy ContentPasted0">elpy-profile elpy-django elpy=
-refactor python tramp-sh tramp</div>
<div class=3D"FluidPluginCopy ContentPasted0">tramp-loaddefs trampver tramp=
-integration tramp-compat shell pcomplete</div>
<div class=3D"FluidPluginCopy ContentPasted0">parse-time iso8601 time-date =
ls-lisp format-spec ido files-x etags</div>
<div class=3D"FluidPluginCopy ContentPasted0">fileloop generator cus-edit p=
p cus-start cus-load cc-styles cc-align</div>
<div class=3D"FluidPluginCopy ContentPasted0">cc-engine cc-vars cc-defs jul=
ia-mode julia-mode-latexsubs lsp-ivy</div>
<div class=3D"FluidPluginCopy ContentPasted0">lsp-mode yasnippet-snippets y=
asnippet tree-widget wid-edit spinner pcase</div>
<div class=3D"FluidPluginCopy ContentPasted0">network-stream puny nsm rmc m=
arkdown-mode noutline outline lv inline</div>
<div class=3D"FluidPluginCopy ContentPasted0">imenu filenotify ewoc epg rfc=
6068 epg-config lsp-protocol ht</div>
<div class=3D"FluidPluginCopy ContentPasted0">counsel-projectile projectile=
 lisp-mnt mail-parse rfc2231 rfc2047</div>
<div class=3D"FluidPluginCopy ContentPasted0">rfc2045 mm-util ietf-drums ma=
il-prsvr grep ibuf-ext ibuffer</div>
<div class=3D"FluidPluginCopy ContentPasted0">ibuffer-loaddefs thingatpt wh=
ich-key counsel xdg advice xref project</div>
<div class=3D"FluidPluginCopy ContentPasted0">dired dired-loaddefs compile =
comint ansi-color swiper ivy-rich ivy</div>
<div class=3D"FluidPluginCopy ContentPasted0">derived ring ivy-faces ivy-ov=
erlay colir color doom-modeline</div>
<div class=3D"FluidPluginCopy ContentPasted0">doom-modeline-segments doom-m=
odeline-env doom-modeline-core</div>
<div class=3D"FluidPluginCopy ContentPasted0">all-the-icons all-the-icons-f=
aces data-material data-weathericons</div>
<div class=3D"FluidPluginCopy ContentPasted0">data-octicons data-fileicons =
data-faicons data-alltheicons shrink-path</div>
<div class=3D"FluidPluginCopy ContentPasted0">rx f f-shortdoc shortdoc text=
-property-search s dash compat compat-macs</div>
<div class=3D"FluidPluginCopy ContentPasted0">command-log-mode cl-extra hel=
p-mode edmacro kmacro linum</div>
<div class=3D"FluidPluginCopy ContentPasted0">display-line-numbers delsel d=
oom-henna-theme doom-themes</div>
<div class=3D"FluidPluginCopy ContentPasted0">doom-themes-base use-package =
use-package-ensure use-package-delight</div>
<div class=3D"FluidPluginCopy ContentPasted0">use-package-diminish use-pack=
age-bind-key bind-key easy-mmode</div>
<div class=3D"FluidPluginCopy ContentPasted0">use-package-core finder-inf i=
nfo package browse-url url url-proxy</div>
<div class=3D"FluidPluginCopy ContentPasted0">url-privacy url-expand url-me=
thods url-history url-cookie url-domsuf</div>
<div class=3D"FluidPluginCopy ContentPasted0">url-util mailcap url-handlers=
 url-parse auth-source cl-seq eieio</div>
<div class=3D"FluidPluginCopy ContentPasted0">eieio-core cl-macs eieio-load=
defs password-cache json subr-x map</div>
<div class=3D"FluidPluginCopy ContentPasted0">url-vars seq byte-opt gv byte=
comp byte-compile cconv cl-loaddefs cl-lib</div>
<div class=3D"FluidPluginCopy ContentPasted0">iso-transl tooltip eldoc pare=
n electric uniquify ediff-hook vc-hooks</div>
<div class=3D"FluidPluginCopy ContentPasted0">lisp-float-type elisp-mode mw=
heel term/x-win x-win term/common-win x-dnd</div>
<div class=3D"FluidPluginCopy ContentPasted0">tool-bar dnd fontset image re=
gexp-opt fringe tabulated-list replace</div>
<div class=3D"FluidPluginCopy ContentPasted0">newcomment text-mode lisp-mod=
e prog-mode register page tab-bar menu-bar</div>
<div class=3D"FluidPluginCopy ContentPasted0">rfn-eshadow isearch easymenu =
timer select scroll-bar mouse jit-lock</div>
<div class=3D"FluidPluginCopy ContentPasted0">font-lock syntax font-core te=
rm/tty-colors frame minibuffer cl-generic</div>
<div class=3D"FluidPluginCopy ContentPasted0">cham georgian utf-8-lang misc=
-lang vietnamese tibetan thai tai-viet lao</div>
<div class=3D"FluidPluginCopy ContentPasted0">korean japanese eucjp-ms cp51=
932 hebrew greek romanian slovak czech</div>
<div class=3D"FluidPluginCopy ContentPasted0">european ethiopic indian cyri=
llic chinese composite emoji-zwj charscript</div>
<div class=3D"FluidPluginCopy ContentPasted0">charprop case-table epa-hook =
jka-cmpr-hook help simple abbrev obarray</div>
<div class=3D"FluidPluginCopy ContentPasted0">cl-preloaded nadvice button l=
oaddefs faces cus-face macroexp files</div>
<div class=3D"FluidPluginCopy ContentPasted0">window text-properties overla=
y sha1 md5 base64 format env code-pages</div>
<div class=3D"FluidPluginCopy ContentPasted0">mule custom widget hashtable-=
print-readable backquote threads dbusbind</div>
<div class=3D"FluidPluginCopy ContentPasted0">inotify lcms2 dynamic-setting=
 system-font-setting font-render-setting</div>
<div class=3D"FluidPluginCopy ContentPasted0">cairo move-toolbar gtk x-tool=
kit x multi-tty make-network-process emacs)</div>
<div class=3D"FluidPluginCopy"><br class=3D"ContentPasted0">
</div>
<div class=3D"FluidPluginCopy ContentPasted0">Memory information:</div>
<div class=3D"FluidPluginCopy ContentPasted0">((conses 16 574892 88899)</di=
v>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp;(symbols 48 40023 1)</d=
iv>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp;(strings 32 172871 5875=
)</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp;(string-bytes 1 4756015=
)</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp;(vectors 16 62304)</div=
>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp;(vector-slots 8 766577 =
33432)</div>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp;(floats 8 948 248)</div=
>
<div class=3D"FluidPluginCopy ContentPasted0">&nbsp;(intervals 56 412 105)<=
/div>
&nbsp;(buffers 992 11))<br>
</span></div>
</body>
</html>

--_000_YQXPR01MB4085114C99922D786AA09F68D1F99YQXPR01MB4085CANP_--




Acknowledgement sent to "Redekopp, Eric" <err291@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#60646; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 15 Jan 2023 09:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.